Bug 543050 - The single quote character causes a string truncation in the song title
Summary: The single quote character causes a string truncation in the song title
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacious
Version: 11
Hardware: All
OS: All
low
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL: http://jira.atheme.org/browse/AUD-102
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-01 15:46 UTC by John Gotts
Modified: 2009-12-05 00:03 UTC (History)
2 users (show)

Fixed In Version: 1.5.1-19.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-04 23:59:38 UTC


Attachments (Terms of Use)

Description John Gotts 2009-12-01 15:46:35 UTC
Description of problem:
This is a very old bug that audacious inherited from xmms.  If the currently playing song has a single quote character in the title, the quote character and every subsequent character is cut off in the scrolling title label widget.  I've only seen this problem playing the www.woxy.com stream.  Playing a file with a quote character does not exhibit the bug.

Version-Release number of selected component (if applicable):
1.5.1-11.fc11

How reproducible:
Always.

Steps to Reproduce:
1. Tune into www.woxy.com
2. When the stream plays a song with a single quote character, the quote and all subsequent characters are cut off.
  
Actual results:
The Drums - Let

Expected results:
The Drums - Let's Go Surfing (Lounge)

Additional info:
Note that this bug does *not* occur when you play a file with a single quote character.  If someone can simulate a 128k MP3 stream, this bug will be easier to reproduce.

Comment 1 Michael Schwendt 2009-12-01 15:59:02 UTC
Can you reproduce this with Audacious 2.1 and Fedora 12?

Comment 2 John Gotts 2009-12-02 00:26:48 UTC
I do not have Fedora 12 installed yet but I backported the SPEC file to Fedora 11 and I'm happy to report that this bug has been fixed in Audacious 2.1.  Thank you!

I would have been able to use the Fedora 12 SPEC file unmodified save for a bug in the new jack-audio-connection-kit-devel package which redefines jack_free as returning gint.  Audacious 2.1 is expecting void.  I believe this bug would also prevent the package from building on a current Fedora 12 system.

Comment 3 Michael Schwendt 2009-12-02 09:56:07 UTC
> the new jack-audio-connection-kit-devel

You could have simply fetched the latest src.rpm (2.1-24.fc12) which includes the fix for that. In Fedora package cvs or in the Fedora build system.

Comment 4 John Gotts 2009-12-02 22:38:06 UTC
Thanks, Michael, for your help!

Comment 5 Fedora Update System 2009-12-03 00:04:22 UTC
audacious-plugins-1.5.1-19.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/audacious-plugins-1.5.1-19.fc11

Comment 6 Fedora Update System 2009-12-03 00:05:40 UTC
audacious-plugins-1.5.1-19.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/audacious-plugins-1.5.1-19.fc10

Comment 7 Fedora Update System 2009-12-04 23:59:33 UTC
audacious-plugins-1.5.1-19.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-12-05 00:03:54 UTC
audacious-plugins-1.5.1-19.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.